Subject: lad interview

From: [email-masked] (Jianglin Wang)
Date: Wed, 17 Nov 93 21:57:40 CST

Hi,
some netters want to know the process of lad interview. I went to Dallas
INS office two weeks ago with my son. Because he is a little boy, a 
lady there did not ask him any quastions. But she did ask me a few.
It seems that she most concerned if I have been kept my lawful status
through June 30 1993. So I think to take the interview, you should 
bring every document you have, for both principle and lad. Most 
important, all the I-20 or IAP-66's as the prove you kept you student 
status. If you don't have all, you may ask a copy from your school's
international atudent office. you need your approve letter, of cource.
Anyway, if you don't bring all the documents required, you may mail
it to INS later.

good luck to every one.

jw